class ArchiveFileMultiple

  include Mongoid::Document
  include Mongoid::Timestamps

  mount_uploader :file, AssetUploader

  field :file_title, localize: true
  # field :description
  field :download_count, type: Integer, default: 0
  field :choose_lang, :type => Array, :default => ["en","zh_tw"]

  field :should_destroy, :type => Boolean
  field :sort_number, :type => Integer

  # default_scope asc(:sort_number)

  def choose_lang_display(lang)
    self.choose_lang.include?(lang)
  end

  belongs_to :archive_file

  # has_many :archive_file_multiple_langs, :autosave => true, :dependent => :destroy

  # accepts_nested_attributes_for :archive_file_multiple_langs, :allow_destroy => true

end
